Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0004008AVWWProgramming TodoSep 26, 2011 2:57 pmOct 12, 2011 9:20 pm
Reporterx4000 
Assigned Tox4000 
Severityminor 
StatusresolvedResolutionfixed 
Product Version 
Fixed in Version0.523 
Summary0004008: Very light healing drops (HP and MP) from "trash mobs."
DescriptionJust to give some incentive to kill regular enemies, after all.
TagsNo tags attached.
Internal WeightFix ASAP
Attached Files

- Relationships
has duplicate 0004196closed Some sort of reward for killing basic enemies. 

-  Notes
(0013677)
tigersfan (reporter)
Sep 26, 2011 2:59 pm

As long as it's not from EVERY mob, and maybe make them spawn less and less after the player has x number already. To cut down on the desire to farm.
(0013679)
x4000 (administrator)
Sep 26, 2011 3:00 pm

Sorry, to clarify: these would be things that are maybe 1/10th as powerful as a regular healing or MP-healing potion. And they would be things that get auto-applied when you walk over them, not something you can carry in inventory.

But yeah, they would also need to not be from every mob even so.
(0013680)
tigersfan (reporter)
Sep 26, 2011 3:03 pm

Ahh, that's even better, but, still not on every one. ;-)
(0013681)
x4000 (administrator)
Sep 26, 2011 3:04 pm

Definitely not every one. :)
(0013682)
Echo35 (reporter)
Sep 26, 2011 3:07 pm

You could also sharply reduce the spawn rates based on your character level. So if you're in an area where even your weak spells would blow them away, they won't spawn much, or at all.
(0013683)
Admiral (reporter)
Sep 26, 2011 3:07 pm

I like this idea.

Especially since tigersfan doesn't want you to implement my "auto use best healing potion first" idea and they're not going to be Healing Mark 0.1 potions. :)
(0013684)
x4000 (administrator)
Sep 26, 2011 3:09 pm

Well, to be honest, I think that would make the game really boring. As it stands, if you're overpowered, there's at least the bubble-wrap satisfaction of attacking enemies and killing them with one hit. But if there are almost no enemies, then it's just you... running. That's it. I think that would get extremely tedious, which is part of why the monsters spawners aren't kill-able.

The other part of the reason why monster spawners can't be killed has to do with the effect they have on boss rooms, and how one that is higher in a cavern causes monsters to keep "arriving" from above in lower sections.
(0013687)
Admiral (reporter)
Sep 26, 2011 3:10 pm

"how one that is higher in a cavern causes monsters to keep "arriving" from above in lower sections."

I don't follow. But I'm just a tester.
(0013688)
c4sc4 (reporter)
Sep 26, 2011 3:16 pm

>>"how one that is higher in a cavern causes monsters to keep "arriving" from above in lower sections."

>>I don't follow. But I'm just a tester.

I think he means that mobs will run off of cliffs and fall down on you if you are below them. It's raining monsters in here!
(0013689)
Admiral (reporter)
Sep 26, 2011 3:17 pm

Ah, right.

That's why I often build a few platforms in the big boss rooms, to get away from the trash stuck down below. :)
(0013794)
Jerebaldo1 (reporter)
Sep 26, 2011 10:31 pm

Yeah, something light like this would be wonderful. It works well for the lovely AEOD mod for the ZDoom Doom2 port. In that mod there are more difficult monsters, but also more powerful weapons and there are minor health drops for most kills.

Perhaps later in development monsters could drop crafting elements that let you craft monster-specific resist-ware (reduce a specific monster's spell damage by 15% or so) or else monster specific douse spells.
(0013922)
GrimerX (reporter)
Sep 27, 2011 1:02 pm

IMHO, I would prefer not to have monsters drop potions. I rather like the 'raiding' aspect of the game. If the world is as dangersous as it's supposed to be, then you'd want to sprint through it, get to your objective, then get back -- avoiding as much combat as possible. (I really like the no-xp-for-trash-mobs mechanic, BTW). If mobs drop potions, you can stay out in the world indefinately, and would make the game seem easy. The way I do it now is pick my target, head to that region, loot for potions if I need a few, then engage.

At first I was thinking the same thing -- needed some form of mana/hp regen -- but with the ability to teleport in and out, I think that's enough. Leave exploring to find more important items.
(0014047)
huw (reporter)
Sep 27, 2011 6:13 pm

GrimerX I think you may be overestimating the proposed change. As I understand it, it would be a relatively uncommon drop, and even then only 1/10th the potency of a potion you'd manually consume. They certainly wouldn't enable you to stay out indefinitely.
(0014135)
GrimerX (reporter)
Sep 27, 2011 10:42 pm

Ah, okay. Thanks for the clarification huw.
(0014192)
Procyon (reporter)
Sep 28, 2011 2:32 am

Having read the points on both sides, I feel the decision to add these potions depends on the intended time spent actively traversing in the fighting mode. However small they may be, the potions will extend how long someone is able to continuously cover new ground in search for something. There's not a whole lot out there at the moment, which means that characters don't really need to be doing very long excursions to acquire what they need. Perhaps if there are rare or ultra-rare commodities that lie deep within the tail-end of a dungeon, this would be nice to have. Otherwise, the system will make bosses with large numbers of monster generators in the room/area a bit easier and carry a minimal difference elsewhere.

So as it stands at the moment, I'm against it without knowing just what the commodity rarities are going to be like.
(0014372)
Toll (reporter)
Sep 28, 2011 1:05 pm

How about instead of potions dropping, it dropped consciousness shards? I think it'd fit more thematically, and it'd give you a secondary source of them aside from scouring buildings.
(0014389)
AragonLA (reporter)
Sep 28, 2011 2:22 pm

I am inclined to agree with Toll (consciousness shard drop vs. hp/mp). I crank out heal and mana scrolls to keep me going and don't have too much of an issue with that, but having another source of CS would allow me to push my settlement a little further (decent reward).
(0014391)
BobTheJanitor (reporter)
Sep 28, 2011 2:29 pm

Doesn't have to be a binary choice. They could have a chance to drop small insta HP/mana items and also a chance to drop consciousness shards. I'd even like them to have an extremely rare chance to drop big heal/mana potions, or an ultra rare chance for them to drop higher crafting materials, books, etc. If the odds are long enough, farming them becomes pointless, but the rare time that it does happen you get to feel like you hit the jackpot.

Plus, as MMORPGs have proved, simply the potential for a good drop is enough to keep people interested in running the same dungeon and killing the same dragon for months on end. It could help here to stop people feeling like the world monsters are just obstacles to be ignored.
(0015126)
GrimerX (reporter)
Oct 1, 2011 12:59 am

After playing this way a while -- you guys were right, this is a good mechanic. I stand corrected :-)
(0015316)
wingsofdomain (reporter)
Oct 2, 2011 2:40 pm

^Agreed... The consciousness shard drop is great. Now if there just was something to do with it.....
(0015322)
jerith (reporter)
Oct 2, 2011 2:50 pm

I think the current monster drops hit the right balance. It's nice to get something when you kill them, but what you get isn't big or important enough to be worth going out of your way to do it. It lets you collect shards as a side effect of hunting down items or bosses. (I think not announcing what you're getting in the message log actually helps here. It reduces the sense of achievement you get for having collected something.)
(0015569)
Nenad (reporter)
Oct 4, 2011 4:25 am

I don't get healed from these drops... bug? Running 515.
(0015570)
jerith (reporter)
Oct 4, 2011 4:28 am

The healing drops aren't in yet. Currently, it's just shards that drop.
(0015984)
Rices (reporter)
Oct 6, 2011 6:36 pm

It would be a nice to have if you can get some Magic points(Mana) back in a (micro)boss fight. even if it has 5% chance that 1-2 "mana orbs" would be dropped from a minion that run around in that room and give 10-40 Mana.

you can replace it with hp&mana or mix it with a 50/50 chance, it just a suggestion. ^^
(0016244)
Yuugi (reporter)
Oct 8, 2011 1:03 pm

I'd be all for all variants of bosses dropping some health/mana to give you a little instant aid when you fight multiple bosses at once.

But I'm not sure if trashmobs should get them.
(0016253)
wyvern83 (reporter)
Oct 8, 2011 3:14 pm
edited on: Oct 8, 2011 3:23 pm

I would agree with this idea only if the dropped items came to me like the consciousness shard drops do now and were fairly rare like 1 in every 10 drops or more as I think was suggested earlier.

(0016255)
zebramatt (reporter)
Oct 8, 2011 3:22 pm

Sure, I loved all those Metroid boss fights where I'd be right down into my last energy cell, critical health warning bleating, and JUST scrape through thanks to taking out an opportune couple of enemies with crucial little health drops.

So, it'd be a welcome addition to boss fights, for sure!
(0016444)
JedTheHumanoid (reporter)
Oct 12, 2011 7:02 am

Like many above, I would agree with boss variants dropping very light potions but that should be all.
(0016511)
x4000 (administrator)
Oct 12, 2011 9:19 pm

* Non-boss enemies now drop minor health and MP pickups that are auto-attracted to you like the shard drops are. The new percentages are:
** 10% minor healing drops
** 10% minor MP drops
** 50% shard drops
** 30% no drop

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Echo35 Admiral Jerebaldo1 Nenad zebramatt TechSY730 huw Archonsod Arnos Spejs BobTheJanitor Tayrtahn Baleyg Aklyon Hyfrydle Spork Rices stblr wyvern83 gxam ShadowSirius07 snelg JedTheHumanoid
Opponents: GrimerX leb0fh Shadowsand lujan22 laughing_man

- Issue History
Date Modified Username Field Change
Sep 26, 2011 2:57 pm x4000 New Issue
Sep 26, 2011 2:57 pm x4000 Status new => assigned
Sep 26, 2011 2:57 pm x4000 Assigned To => x4000
Sep 26, 2011 2:59 pm tigersfan Note Added: 0013677
Sep 26, 2011 3:00 pm x4000 Note Added: 0013679
Sep 26, 2011 3:03 pm tigersfan Note Added: 0013680
Sep 26, 2011 3:04 pm x4000 Note Added: 0013681
Sep 26, 2011 3:07 pm Echo35 Note Added: 0013682
Sep 26, 2011 3:07 pm Admiral Note Added: 0013683
Sep 26, 2011 3:09 pm x4000 Note Added: 0013684
Sep 26, 2011 3:10 pm Admiral Note Added: 0013687
Sep 26, 2011 3:16 pm c4sc4 Note Added: 0013688
Sep 26, 2011 3:17 pm Admiral Note Added: 0013689
Sep 26, 2011 10:31 pm Jerebaldo1 Note Added: 0013794
Sep 27, 2011 1:02 pm GrimerX Note Added: 0013922
Sep 27, 2011 6:13 pm huw Note Added: 0014047
Sep 27, 2011 10:42 pm GrimerX Note Added: 0014135
Sep 28, 2011 2:32 am Procyon Note Added: 0014192
Sep 28, 2011 7:43 am x4000 Internal Weight New => Fix ASAP
Sep 28, 2011 12:36 pm tigersfan Relationship added has duplicate 0004196
Sep 28, 2011 1:05 pm Toll Note Added: 0014372
Sep 28, 2011 2:22 pm AragonLA Note Added: 0014389
Sep 28, 2011 2:29 pm BobTheJanitor Note Added: 0014391
Oct 1, 2011 12:59 am GrimerX Note Added: 0015126
Oct 2, 2011 2:40 pm wingsofdomain Note Added: 0015316
Oct 2, 2011 2:50 pm jerith Note Added: 0015322
Oct 4, 2011 4:25 am Nenad Note Added: 0015569
Oct 4, 2011 4:28 am jerith Note Added: 0015570
Oct 6, 2011 6:36 pm Rices Note Added: 0015984
Oct 8, 2011 1:03 pm Yuugi Note Added: 0016244
Oct 8, 2011 3:14 pm wyvern83 Note Added: 0016253
Oct 8, 2011 3:15 pm wyvern83 Note Edited: 0016253 View Revisions
Oct 8, 2011 3:22 pm zebramatt Note Added: 0016255
Oct 8, 2011 3:23 pm wyvern83 Note Edited: 0016253 View Revisions
Oct 12, 2011 7:02 am JedTheHumanoid Note Added: 0016444
Oct 12, 2011 9:19 pm x4000 Note Added: 0016511
Oct 12, 2011 9:19 pm x4000 Status assigned => resolved
Oct 12, 2011 9:19 pm x4000 Fixed in Version => 0.523
Oct 12, 2011 9:19 pm x4000 Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker